## ros-indigo-staro-moveit-config 0.1.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(staro_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-indigo-staro-moveit-config (0.1.12-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Tue, 10 Jan 2017 15:00:00 -0000

ros-indigo-staro-moveit-config (0.1.11-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Mon, 29 Aug 2016 15:00:00 -0000

ros-indigo-staro-moveit-config (0.1.10-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Wed, 23 Mar 2016 15:00:00 -0000

ros-indigo-staro-moveit-config (0.1.9-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-staro-moveit-config (0.1.8-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Fri, 09 Jan 2015 03:27:00 -0000

ros-indigo-staro-moveit-config (0.1.7-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Thu, 08 Jan 2015 17:30:00 -0000

ros-indigo-staro-moveit-config (0.1.6-0trusty) trusty; urgency=high

  * fix version number
  * fix longest_valid_segment_fraction
  * add staro_moveit_config
  * Contributors: Kei Okada, YoheiKakiuchi

 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-staro-moveit-config (0.1.5-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Mon, 03 Nov 2014 15:00:00 -0000

ros-indigo-staro-moveit-config (0.1.4-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Wed, 22 Oct 2014 15:00:00 -0000

ros-indigo-staro-moveit-config (0.1.3-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sat, 11 Oct 2014 15:00:00 -0000

ros-indigo-staro-moveit-config (0.1.2-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Sun, 05 Oct 2014 15:00:00 -0000

ros-indigo-staro-moveit-config (0.1.1-0trusty) trusty; urgency=high



 -- MoveIt Setup Assistant <assistant@moveit.ros.org>  Thu, 25 Sep 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-staro-moveit-config
Section: misc
Priority: extra
Maintainer: MoveIt Setup Assistant <assistant@moveit.ros.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-indigo-staro-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-joint-state-publisher, ros-indigo-moveit-planners-ompl, ros-indigo-moveit-ros-move-group, ros-indigo-moveit-ros-visualization, ros-indigo-robot-state-publisher, ros-indigo-xacro
Description: An automatically generated package with all the configuration and launch files for using the STARO with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-staro-moveit-config//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
